# QwtMetricsMap Class Reference

List of all members.

## Detailed Description

A Map to translate between layout, screen and paint device metrics.

Definition at line 31 of file qwt_layout_metrics.h.

## Public Member Functions

| QwtMetricsMap ()
bool | isIdentity () const
void | setMetrics (const QPaintDevice *layoutMetrics, const QPaintDevice *deviceMetrics)
int | layoutToDeviceX (int x) const
int | deviceToLayoutX (int x) const
int | screenToLayoutX (int x) const
int | layoutToScreenX (int x) const
int | layoutToDeviceY (int y) const
int | deviceToLayoutY (int y) const
int | screenToLayoutY (int y) const
int | layoutToScreenY (int y) const
QPoint | layoutToDevice (const QPoint &, const QPainter *=NULL) const
QPoint | deviceToLayout (const QPoint &, const QPainter *=NULL) const
QPoint | screenToLayout (const QPoint &) const
QPoint | layoutToScreen (const QPoint &point) const
QSize | layoutToDevice (const QSize &) const
QSize | deviceToLayout (const QSize &) const
QSize | screenToLayout (const QSize &) const
QSize | layoutToScreen (const QSize &) const
QRect | layoutToDevice (const QRect &, const QPainter *=NULL) const
QRect | deviceToLayout (const QRect &, const QPainter *=NULL) const
QRect | screenToLayout (const QRect &) const
QRect | layoutToScreen (const QRect &) const
QwtPolygon | layoutToDevice (const QwtPolygon &, const QPainter *=NULL) const
QwtPolygon | deviceToLayout (const QwtPolygon &, const QPainter *=NULL) const

## Static Public Member Functions

static QwtPolygon | translate (const QMatrix &, const QwtPolygon &)
static QRect | translate (const QMatrix &, const QRect &)

## Member Function Documentation

QwtPolygon QwtMetricsMap::translate | ( | const QMatrix & | m,
|  | const QwtPolygon & | pa |
| ) |  |  | `[static]`

Wrapper for QMatrix::map.

Parameters:

  | m | Matrix
  | pa | Polygon to translate

Returns:
  Translated polygon

Definition at line 322 of file qwt_layout_metrics.cpp.

Referenced by QwtScaleDraw::labelRect().

QRect QwtMetricsMap::translate | ( | const QMatrix & | m,
|  | const QRect & | rect |
| ) |  |  | `[static]`

Wrapper for QMatrix::mapRect.

Parameters:

  | m | Matrix
  | rect | Rectangle to translate

Returns:
  Translated rectangle

Definition at line 309 of file qwt_layout_metrics.cpp.